QGIS Application - Feature request #3066
GdalTools: clipping based on a shapefile mask
2010-09-30 03:26 AM - Giuseppe Sucameli

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13126
Description

It will be useful to add the possibility of clipping based on a shapefile mask. This can be done with the gdal_rasterize and the option burn,
eg:

gdal_rasterize -i -burn 255 -b 1 -b 2 -b 3 -| [SHAPELAYER] [SHAPEFILE] [RASTER]

this results ion setting all three bands at 255 for the area outside the shapefile in input.

Thanks Stefano Salvador for the suggestion.

Associated revisions

Revision 2f16afb9 - 2011-03-14 06:17 PM - Giuseppe Sucameli

added -cutline option to gdaltools warp tool, to fix #3066

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15476 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 36fc12ad - 2011-03-14 06:17 PM - Giuseppe Sucameli

added -cutline option to gdaltools warp tool, to fix #3066

git-svn-id: http://svn.osgeo.org/qgis/trunk@15476 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d3b47862 - 2011-04-15 07:58 PM - Giuseppe Sucameli

add cutline option to clipper to fix #3066

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15712 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision adbcbcbb - 2011-04-15 07:58 PM - Giuseppe Sucameli

add cutline option to clipper to fix #3066

git-svn-id: http://svn.osgeo.org/qgis/trunk@15712 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-11-30 12:08 PM - Giovanni Manghi
apparently there is also a way to do it with gdalwarp, and adding at the same time the alpha channel to the output raster, ex:

gdalwarp -of GTiff -r lanczos -dstalpha -cutline shapefile.shp raster_input.tif raster_output.tif

would be nice too to add this options too in gdalwarp

#2 - 2010-12-03 03:23 AM - Giovanni Manghi

PS
Thanks to Pedro Venancio for the suggestion

#3 - 2010-12-03 02:31 PM - Giuseppe Sucameli

Replying to [comment:1 lutra]:

apparently there is also a way to do it with gdalwarp, and adding at the same time the alpha channel to the output raster, ex:

> gdalwarp -of GTiff -r lanczos -dstalpha -cutline shapefile.shp raster_input.tif raster_output.tif

I know the -cutline option since the Hackfest when Tim told me about it.
Thanks for reporting it, | forgot to add these information to this ticket.
would be nice too to add this options too in gdalwarp

So,
1. improving the clipper (clipping based on a shapefile mask)
2. add the -cutline option in the gdalwarp tool too.

#4 - 2011-03-14 10:18 AM - Giuseppe Sucameli

- Status changed from Open to In Progress

Added -cutline option to gdalwarp tool (commit:36fc12ad (SVN r15477))

#5 - 2011-03-31 02:23 AM - Bill Williamson

Works for me in Win7 in trunk

use cutline in gdalwarp.

Why is ticket still open?

#6 - 2011-03-31 02:30 AM - Giuseppe Sucameli

I want to add it to the Clipper tool, so it can be used to clip whatever kind of layer.
#7 - 2011-04-15 10:58 AM - Giuseppe Sucameli
- Resolution set to fixed

- Status changed from In Progress to Closed

Fixed in commit:adbcbcbb (SVN r15713).
